Subject: Re: [PATCH 0/3] [GSOC][RFC] ref-filter: add contents:raw atom

From: Junio C Hamano <[email-masked]>
Date: Tue, 25 May 2021 00:21:53 +0900

Bagas Sanjaya <[email-masked]> writes:

> I think we should go with "raw", because the payloads we discussed here
> are unmodified. It is akin to "raw data" that is processed further to
> produce porcelain output, such as templating engine that process raw
> HTML into HTML pages that would be served to end user.

Oh, I can certainly live with --format='%(raw)'; I just view that
%(contents:raw) is problematic, especially if we meant to apply it
to trees and blobs, because they are not what %(contents) is about.

Thanks.